Package com.emc.documentum.rest.config

# Enum Class PersistenceContextConfig

java.lang.Object
java.lang.Enum<PersistenceContextConfig>
com.emc.documentum.rest.config.PersistenceContextConfig

All Implemented Interfaces:
  `Serializable`, `Comparable<PersistenceContextConfig>`, `Constable`

public enum PersistenceContextConfig extends Enum<PersistenceContextConfig>
The runtime configuration for persistence context settings where the settings are loaded from the classpath resource 'rest-api-context-config.properties'.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `INSTANCE`
  The singleton instance of `PersistenceContextConfig`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `preferPrivateDfcSessions()`
  Check whether prefers private dfc session for time consuming operations like update, create, query and delete, this has benefits to performance when a single user is executing multi-threaded operations (for internal use) the default will be true
  `static PersistenceContextConfig`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static PersistenceContextConfig[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### INSTANCE

    public static final PersistenceContextConfig INSTANCE
    The singleton instance of `PersistenceContextConfig`

- ## Method Details

  - ### values

    public static PersistenceContextConfig[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static PersistenceContextConfig valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### preferPrivateDfcSessions

    public boolean preferPrivateDfcSessions()
    Check whether prefers private dfc session for time consuming operations like update, create, query and delete, this has benefits to performance when a single user is executing multi-threaded operations (for internal use) the default will be true
    Returns:
      `true` if prefers private DFC sessions.